condition.h File Reference

An endpoint error state. More...

`#include <proton/import_export.h>`
`#include <proton/codec.h>`
`#include <proton/type_compat.h>`
`#include <stddef.h>`
Include dependency graph for condition.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct pn_condition_t | pn_condition_t
| An AMQP Condition object. More...

## Functions

bool | pn_condition_is_set (pn_condition_t *condition)
| Returns true if the condition object is holding some information, i.e. More...
void | pn_condition_clear (pn_condition_t *condition)
| Clears the condition object of any exceptional information. More...
const char * | pn_condition_get_name (pn_condition_t *condition)
| Returns the name associated with the exceptional condition, or NULL if there is no conditional information set. More...
int | pn_condition_set_name (pn_condition_t *condition, const char *name)
| Sets the name associated with the exceptional condition. More...
const char * | pn_condition_get_description (pn_condition_t *condition)
| Gets the description associated with the exceptional condition. More...
int | pn_condition_set_description (pn_condition_t *condition, const char *description)
| Sets the description associated with the exceptional condition. More...
pn_data_t * | pn_condition_info (pn_condition_t *condition)
| Returns a data object that holds the additional information associated with the condition. More...
int | pn_condition_vformat (pn_condition_t *, const char *name, const char *fmt, va_list ap)
| Set the name and printf-style formatted description.
int | pn_condition_format (pn_condition_t *, const char *name, const char *fmt,...)
| Set the name and printf-style formatted description.
bool | pn_condition_is_redirect (pn_condition_t *condition)
| Returns true if the condition is a redirect. More...
const char * | pn_condition_redirect_host (pn_condition_t *condition)
| Retrieves the redirect host from the additional information associated with the condition. More...
int | pn_condition_redirect_port (pn_condition_t *condition)
| Retrieves the redirect port from the additional information associated with the condition. More...
int | pn_condition_copy (pn_condition_t *dest, pn_condition_t *src)
| Copy the src condition to the dst condition.
pn_condition_t * | pn_condition (void)
| Create a condition object.
void | pn_condition_free (pn_condition_t *)
| Free a condition object.

## Detailed Description

An endpoint error state.